Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.sts
Class IdentityProviderData

    java.lang.Object
      org.wso2.solutions.identity.sts.IdentityProviderData

    public class IdentityProviderData

extends java.lang.Object

Meta-data collection of related to CardSpace required for token issuance.

Nested Class Summary
`class` | `IdentityProviderData.RequestedClaimData`

Field Summary
`protected java.lang.String` | `cardID`
`protected java.util.Map` | `claimObjs`
`protected java.lang.String` | `displayTokenLang`
`protected java.util.Map` | `requestedClaims`
`static java.lang.String` | `USER_CLASS`
`java.lang.String` | `userClass`
`static java.lang.String` | `USERMAN_SERVICE`
`protected UserStore` | `userStore`

Constructor Summary
`IdentityProviderData(org.apache.rahas.RahasData data)` Populate CardSpace specific meta-data.

Method Summary
`java.lang.String` | `getCardID()`
`protected java.lang.String` | `getDisplayName(java.lang.String URI)`
`java.lang.String` | `getDisplayTokenLang()`
`java.util.Map` | `getRequestedClaims()`
`protected java.lang.String` | `getUserIdentifier(org.apache.rahas.RahasData rahasData)`
`java.lang.String` | `getValueForClaim(java.lang.String claim)`
`protected void` | `loadClaims()`
`protected void` | `populateClaimValues(org.apache.rahas.RahasData rahasData)`
`protected void` | `readAuthenticationMechanism(org.apache.rahas.RahasData data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cardID

    protected java.lang.String cardID

### requestedClaims

    protected java.util.Map requestedClaims

### displayTokenLang

    protected java.lang.String displayTokenLang

### userClass

    public java.lang.String userClass

### USERMAN_SERVICE

    public static final java.lang.String USERMAN_SERVICE

See Also:
  Constant Field Values

### USER_CLASS

    public static final java.lang.String USER_CLASS

See Also:
  Constant Field Values

### userStore

    protected UserStore userStore

### claimObjs

    protected java.util.Map claimObjs

Constructor Detail

### IdentityProviderData

    public IdentityProviderData(org.apache.rahas.RahasData data)
                         throws IdentityProviderException,
                                java.lang.ClassNotFoundException

  Populate CardSpace specific meta-data.

  Parameters:
    `data` - WS-Trust information in the issue request.
  Throws:
    `IdentityProviderException`
    `java.lang.ClassNotFoundException`

Method Detail

### getCardID

    public java.lang.String getCardID()

### getValueForClaim

    public java.lang.String getValueForClaim(java.lang.String claim)

### getDisplayTokenLang

    public java.lang.String getDisplayTokenLang()

### getRequestedClaims

    public java.util.Map getRequestedClaims()

### populateClaimValues

    protected void populateClaimValues(org.apache.rahas.RahasData rahasData)
                                throws IdentityProviderException

  Throws:
    `IdentityProviderException`

### getUserIdentifier

    protected java.lang.String getUserIdentifier(org.apache.rahas.RahasData rahasData)
                                          throws IdentityProviderException

  Parameters:
    `rahasData` -
  Returns:
  Throws:
    `IdentityProviderException`

### getDisplayName

    protected java.lang.String getDisplayName(java.lang.String URI)

### loadClaims

    protected void loadClaims()
                       throws IdentityProviderException

  Throws:
    `IdentityProviderException`

### readAuthenticationMechanism

    protected void readAuthenticationMechanism(org.apache.rahas.RahasData data)
                                        throws IdentityProviderException

  Throws:
    `IdentityProviderException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD